[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Package splitting and upgrades

On Fri, 1 Mar 2002, Santiago Vila wrote:

> I think the only method which is fool-proof (using either apt or dselect)
> is to make `foo' to depend on `bar' under woody as a temporary measure,
> and drop the dependency in woody+1, but some people consider this a gratuitous
> dependency.

This is the only way that should be used.  dpkg is doing exactly this for the
dselect split in 1.10(which is not uploaded yet).

In fact, dpkg even goes so far as to pre-depend on dselect, so as to guarantee
dselect will always be available.  Of course, dpkg/dselect are special, as
they are used in upgrading of systems.

Reply to: